summarylogtreecommitdiffstats
path: root/deepin-wine-yuque.sh
diff options
context:
space:
mode:
authorzxp198210052024-02-06 13:52:06 +0800
committerzxp198210052024-02-06 13:52:06 +0800
commit09ec10ce71864e166f408633c2f2bc38311a4f91 (patch)
tree19f9f2775769a53a6dcc93e9f33d67f20c100f19 /deepin-wine-yuque.sh
parent8daea15fd077d45e32bdaa73e08325b214db7874 (diff)
downloadaur-09ec10ce71864e166f408633c2f2bc38311a4f91.tar.gz
fix errors
Diffstat (limited to 'deepin-wine-yuque.sh')
-rw-r--r--deepin-wine-yuque.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/deepin-wine-yuque.sh b/deepin-wine-yuque.sh
index d5e6ffd442b1..44423d3e346c 100644
--- a/deepin-wine-yuque.sh
+++ b/deepin-wine-yuque.sh
@@ -12,18 +12,18 @@ ARCHIVE_FILE_DIR="/opt/apps/${DEB_PACKAGE_NAME}/files"
export WINEDLLPATH="/opt/${APPRUN_CMD}/lib:/opt/${APPRUN_CMD}/lib64"
export WINEPREDLL="${ARCHIVE_FILE_DIR}/dlls"
DISABLE_ATTACH_FILE_DIALOG=""
-if [ -z "$DISABLE_ATTACH_FILE_DIALOG" ];then
+if [ -z "${DISABLE_ATTACH_FILE_DIALOG}" ];then
export ATTACH_FILE_DIALOG=1
fi
-if [ -n "$EXPORT_ENVS" ];then
- export $EXPORT_ENVS
+if [ -n "${EXPORT_ENVS}" ];then
+ export "${EXPORT_ENVS}"
fi
-if [ -n "$EXEC_PATH" ];then
+if [ -n "${EXEC_PATH}" ];then
if [ -z "${EXEC_PATH##*.lnk*}" ];then
- $START_SHELL_PATH $BOTTLENAME $APPVER "C:/windows/command/start.exe" "/Unix" "$EXEC_PATH" "$@"
+ exec "${START_SHELL_PATH}" "${BOTTLENAME}" "${APPVER}" "C:/windows/command/start.exe" "/Unix" "${EXEC_PATH}" "$@" || exit $?
else
- $START_SHELL_PATH $BOTTLENAME $APPVER "$EXEC_PATH" "$@"
+ exec "${START_SHELL_PATH}" "${BOTTLENAME}" "${APPVER}" "${EXEC_PATH}" "$@" || exit $?
fi
else
- $START_SHELL_PATH $BOTTLENAME $APPVER "uninstaller.exe" "$@"
+ exec "${START_SHELL_PATH}" "${BOTTLENAME}" "${APPVER}" "uninstaller.exe" "$@" || exit $?
fi \ No newline at end of file